
From: Rusty Russell <rusty@rustcorp.com.au>

New MODULE_ALIASes in:
1) arch/i386/kernel/microcode.c
2) drivers/char/genrtc.c
3) drivers/ide/ide-tape.c
4) drivers/net/bonding/bond_main.c
5) drivers/net/bsd_comp.c
6) drivers/net/ppp_deflate.c
7) drivers/net/ppp_generic.c



---

 arch/i386/kernel/microcode.c    |    1 +
 drivers/char/genrtc.c           |    2 +-
 drivers/ide/ide-tape.c          |    1 +
 drivers/net/bonding/bond_main.c |    1 +
 drivers/net/bsd_comp.c          |    1 +
 drivers/net/ppp_deflate.c       |    2 ++
 drivers/net/ppp_generic.c       |    1 +
 7 files changed, 8 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/microcode.c~more-MODULE_ALIASes arch/i386/kernel/microcode.c
--- 25/arch/i386/kernel/microcode.c~more-MODULE_ALIASes	2004-02-14 23:21:52.000000000 -0800
+++ 25-akpm/arch/i386/kernel/microcode.c	2004-02-14 23:21:52.000000000 -0800
@@ -507,3 +507,4 @@ static void __exit microcode_exit (void)
 
 module_init(microcode_init)
 module_exit(microcode_exit)
+MODULE_ALIAS_MISCDEV(MICROCODE_MINOR);
diff -puN drivers/char/genrtc.c~more-MODULE_ALIASes drivers/char/genrtc.c
--- 25/drivers/char/genrtc.c~more-MODULE_ALIASes	2004-02-14 23:21:52.000000000 -0800
+++ 25-akpm/drivers/char/genrtc.c	2004-02-14 23:21:52.000000000 -0800
@@ -523,4 +523,4 @@ module_exit(rtc_generic_exit);
 
 MODULE_AUTHOR("Richard Zidlicky");
 MODULE_LICENSE("GPL");
-
+MODULE_ALIAS_MISCDEV(RTC_MINOR);
diff -puN drivers/ide/ide-tape.c~more-MODULE_ALIASes drivers/ide/ide-tape.c
--- 25/drivers/ide/ide-tape.c~more-MODULE_ALIASes	2004-02-14 23:21:52.000000000 -0800
+++ 25-akpm/drivers/ide/ide-tape.c	2004-02-14 23:21:52.000000000 -0800
@@ -6502,3 +6502,4 @@ static int idetape_init (void)
 
 module_init(idetape_init);
 module_exit(idetape_exit);
+MODULE_ALIAS_CHARDEV_MAJOR(IDETAPE_MAJOR);
diff -puN drivers/net/bonding/bond_main.c~more-MODULE_ALIASes drivers/net/bonding/bond_main.c
--- 25/drivers/net/bonding/bond_main.c~more-MODULE_ALIASes	2004-02-14 23:21:52.000000000 -0800
+++ 25-akpm/drivers/net/bonding/bond_main.c	2004-02-14 23:21:52.000000000 -0800
@@ -4250,6 +4250,7 @@ MODULE_LICENSE("GPL");
 MODULE_DESCRIPTION(DRV_DESCRIPTION ", v" DRV_VERSION);
 MODULE_AUTHOR("Thomas Davis, tadavis@lbl.gov and many others");
 MODULE_SUPPORTED_DEVICE("most ethernet devices");
+MODULE_ALIAS("bond?");
 
 /*
  * Local variables:
diff -puN drivers/net/bsd_comp.c~more-MODULE_ALIASes drivers/net/bsd_comp.c
--- 25/drivers/net/bsd_comp.c~more-MODULE_ALIASes	2004-02-14 23:21:52.000000000 -0800
+++ 25-akpm/drivers/net/bsd_comp.c	2004-02-14 23:21:52.000000000 -0800
@@ -1176,3 +1176,4 @@ void __exit bsdcomp_cleanup(void)
 module_init(bsdcomp_init);
 module_exit(bsdcomp_cleanup);
 MODULE_LICENSE("Dual BSD/GPL");
+MODULE_ALIAS("ppp-compress-" __stringify(CI_BSD_COMPRESS));
diff -puN drivers/net/ppp_deflate.c~more-MODULE_ALIASes drivers/net/ppp_deflate.c
--- 25/drivers/net/ppp_deflate.c~more-MODULE_ALIASes	2004-02-14 23:21:52.000000000 -0800
+++ 25-akpm/drivers/net/ppp_deflate.c	2004-02-14 23:21:52.000000000 -0800
@@ -655,3 +655,5 @@ void __exit deflate_cleanup(void)
 module_init(deflate_init);
 module_exit(deflate_cleanup);
 MODULE_LICENSE("Dual BSD/GPL");
+MODULE_ALIAS("ppp-compress-" __stringify(CI_DEFLATE));
+MODULE_ALIAS("ppp-compress-" __stringify(CI_DEFLATE_DRAFT));
diff -puN drivers/net/ppp_generic.c~more-MODULE_ALIASes drivers/net/ppp_generic.c
--- 25/drivers/net/ppp_generic.c~more-MODULE_ALIASes	2004-02-14 23:21:52.000000000 -0800
+++ 25-akpm/drivers/net/ppp_generic.c	2004-02-14 23:21:52.000000000 -0800
@@ -2673,3 +2673,4 @@ EXPORT_SYMBOL(all_ppp_units); /* for deb
 EXPORT_SYMBOL(all_channels); /* for debugging */
 MODULE_LICENSE("GPL");
 MODULE_ALIAS_CHARDEV_MAJOR(PPP_MAJOR);
+MODULE_ALIAS("/dev/ppp");

_
